#
# spec file for package gap-atlasrep
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gap-atlasrep
Version:        2.1.9
Release:        1.2
Summary:        GAP: Interface to the Atlas of Group Representations
License:        GPL-3.0-or-later
Group:          Productivity/Scientific/Math
URL:            https://www.math.rwth-aachen.de/homes/Thomas.Breuer/atlasrep
Source:         https://www.math.rwth-aachen.de/homes/Thomas.Breuer/atlasrep/atlasrep-%version.tar.gz
BuildArch:      noarch
BuildRequires:  fdupes
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.11.0
Requires:       gap-gapdoc >= 1.6.2
Requires:       gap-utils >= 0.77
Suggests:       gap-browse >= 1.8.3
Suggests:       gap-ctbllib >= 1.2
Suggests:       gap-ctblocks >= 1.0
Suggests:       gap-io >= 3.3
Suggests:       gap-mfer >= 1.0
Suggests:       gap-recog >= 1.3.1
Suggests:       gap-standardff >= 0.9
Suggests:       gap-tomlib >= 1.0
# changelog in chap1.html

%description
AtlasRep provides an interface between GAP and the Atlas of Group
Representations, a database that comprises representations of many
almost simple groups and information about their maximal subgroups.

%prep
%autosetup -n atlasrep-%version

%build

%install
%gappkg_simple_install
%fdupes %buildroot/%_prefix

%files -f %name.files

%changelog
* Tue Dec 31 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 2.1.9
  * Prescribing a ring in AllAtlasGeneratingSetInfos (3.5-7) and
    related functions now automatically prescribes its
    characteristic. Up to now, one had to specify also the
    characteristic, otherwise characteristic zero was erroneously
    assumed.
  * Up to now, AllAtlasGeneratingSetInfos (3.5-7) and related
    functions, when called only with a prescribed ring in positive
    characteristic, could erroneously return also entries about
    representations in characteristic zero.
  * The default for the user preference "AtlasRepDataDirectory"
    (see Section 4.2-2) has been improved in the situation where
    the package directory is not writable and the GAP session runs
    inside a Julia session; if this is the case, then a Julia
    scratchspace is used as the default.
  * The star ``*`` that may appear in some lines of the output of
    DisplayAtlasInfo (3.5-1) is now documented.
* Sun Jan 28 2024 Dirk Müller <dmueller@suse.com>
- update to 2.1.8:
  * An example in Section 2.1-2 of the Tutorial had to be adjusted
  because the results of the function
  SmallerDegreePermutationRepresentation (Reference:
  SmallerDegreePermutationRepresentation) depend on random
  computations, in particular the implementation in GAP 4.13 may
  yield a nicer representation than had been shown before.
* Tue Nov 21 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 2.1.7
  * Requesting certain matrix groups in characteristic zero had
    caused an error in version 2.1.6.
  * The name of a maximal subgroup of the group M_12.2 had to be
    changed from "D8.(S4x2)" to "2^3.(S4×2)" because the old name
    suggested a wrong group structure.
* Fri Nov 18 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 2.1.6
  * A method for ConjugacyClasses (Reference: ConjugacyClasses
    attribute) has been added that uses a straight line program
    for computing class representatives of a group that has been
    created with AtlasGroup (3.5.8), provided such a program is
    available.
* Sun Oct  2 2022 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to release 2.1.5
* Wed Jul  6 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 2.1.0
* Sun Sep 17 2017 jengelh@inai.de
- Switch from ftp to https.
* Sun Jun 19 2016 jengelh@inai.de
- Update to new upstream release 1.5.1
  * No changelog was provided
* Fri May 10 2013 jengelh@inai.de
- Split atlasrep (version 3.0) off the gap RPM package
